﻿@model AdminPanelViewModel
@{
    Layout = "_Layout";
}


@foreach (var user in Model.Users)
{
    <div style="display: flex; flex-direction: row">


        <p style="margin-left: 20px">@user.UserName with ID: @user.Id</p>
        <p style="margin-left: 20px">Banned: @user.LockoutEnabled</p>


        <form class="form" method="post" asp-action="BanUsers" style="margin-bottom: 30px; margin-left: 20px">
            <input type="hidden" name="UserId" value="@user.Id" />
            <div class="form__buttons buttons">
                <button type="submit">Ban user</button>
            </div>
        </form>
        <form class="form" method="post" asp-action="UnbanUsers" style="margin-bottom:30px">

            <input type="hidden" name="UserId" value="@user.Id" />
            <div class="form__buttons buttons">
                <button type="submit">Unban user</button>
            </div>
        </form>
    </div>
}

